drop table if exists mail_template_types cascade;
create table mail_template_types(
	mail_template_type_id serial,
	mail_template_type_name varchar(64),
	mail_template_type_desc text,
	constraint mail_template_types_pkey primary key( mail_template_type_id )
);

comment on table mail_template_types is 'storage of mail template types';
comment on column mail_template_types.mail_template_type_id is 'unique id of table';
comment on column mail_template_types.mail_template_type_name is 'name of the mail template type';
comment on column mail_template_types.mail_template_type_desc is 'description of the mail template type';

comment on constraint mail_template_types_pkey on mail_template_types is 'unique constraint of table';

insert into mail_template_types( mail_template_type_id , mail_template_type_name , mail_template_type_desc ) values (0,'email_unknown','-Nem besorolt-');
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_status_notification' , 'Státuszváltás email (pl új regisztráció, regisztráció lejáratról' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_admin_status_notification' , 'Státuszváltás email az adminnak' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_notification' , 'Értesítő email (pl. ajánlatkérés visszaigazoló)' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_admin_notification', 'Értesítő email az adminnak (pl. értesítés ajánlatkérés visszaigazolásáról' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_newsletter_onetime', 'Egyalkalmas hírlevél' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_newsletter_recurring' , 'Visszatérő hírlevlél' );
insert into mail_template_types( mail_template_type_name , mail_template_type_desc ) values ( 'email_miscellaneous' , 'Egyéb' );
